aim4.im.v2i

## Interface V2IManagerCallback

- All Known Implementing Classes:
    TimeoutPolicy, V2IManager

      public interface V2IManagerCallback

  An interface of the methods of V2IManager that are available for the policies.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AdmissionControlZone` | `getACZ(int laneId)` Get the Admission Control Zone of a given lane.
    `AczManager` | `getAczManager(int laneId)` Get the manager of an ACZ
    `double` | `getCurrentTime()` Get the current time
    `int` | `getId()` Get the id of the intersection manager.
    `Intersection` | `getIntersection()` Get the intersection managed by this intersection manager.
    `ReservationGrid` | `getReservationGrid()` Get the reservation grid.
    `ReservationGridManager` | `getReservationGridManager()` Get the manager of the reservation grid
    `TrackModel` | `getTrackModel()`
    `void` | `sendI2VMessage(I2VMessage msg)` A callback method for sending a I2V message.

- - ### Method Detail

    - #### sendI2VMessage

          void sendI2VMessage(I2VMessage msg)

      A callback method for sending a I2V message.
      Parameters:
        `msg` - a I2V message

    - #### getId

          int getId()

      Get the id of the intersection manager.
      Returns:
        the id of the intersection manager.

    - #### getCurrentTime

          double getCurrentTime()

      Get the current time
      Returns:
        the current time

    - #### getIntersection

          Intersection getIntersection()

      Get the intersection managed by this intersection manager.
      Returns:
        the intersection managed by this intersection manager

    - #### getTrackModel

          TrackModel getTrackModel()

    - #### getReservationGrid

          ReservationGrid getReservationGrid()

      Get the reservation grid.
      Returns:
        the reservation grid

    - #### getReservationGridManager

          ReservationGridManager getReservationGridManager()

      Get the manager of the reservation grid
      Returns:
        the manager of the reservation grid

    - #### getACZ

          AdmissionControlZone getACZ(int laneId)

      Get the Admission Control Zone of a given lane.
      Parameters:
        `laneId` - the id of the lane
      Returns:
        the admission control zone of the lane.

    - #### getAczManager

          AczManager getAczManager(int laneId)

      Get the manager of an ACZ

Copyright © 2013. All rights reserved.